curl --request POST \
--url https://api.publisher.miratsquanto.com/api/v1/publisher/surveys/one/{surveyNumber} \
--header 'Content-Type: application/json' \
--header 'publisher-authentication-key: <api-key>' \
--data '
{
"authorizationKey": "DqcInvhIFAl5WtUNwihFUIgUH77EL2hTNRU"
}
'import requests
url = "https://api.publisher.miratsquanto.com/api/v1/publisher/surveys/one/{surveyNumber}"
payload = { "authorizationKey": "DqcInvhIFAl5WtUNwihFUIgUH77EL2hTNRU" }
headers = {
"publisher-authentication-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'publisher-authentication-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({authorizationKey: 'DqcInvhIFAl5WtUNwihFUIgUH77EL2hTNRU'})
};
fetch('https://api.publisher.miratsquanto.com/api/v1/publisher/surveys/one/{surveyNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.publisher.miratsquanto.com/api/v1/publisher/surveys/one/{surveyNumber}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'authorizationKey' => 'DqcInvhIFAl5WtUNwihFUIgUH77EL2hTNRU'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"publisher-authentication-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.publisher.miratsquanto.com/api/v1/publisher/surveys/one/{surveyNumber}"
payload := strings.NewReader("{\n \"authorizationKey\": \"DqcInvhIFAl5WtUNwihFUIgUH77EL2hTNRU\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("publisher-authentication-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.publisher.miratsquanto.com/api/v1/publisher/surveys/one/{surveyNumber}")
.header("publisher-authentication-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"authorizationKey\": \"DqcInvhIFAl5WtUNwihFUIgUH77EL2hTNRU\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.publisher.miratsquanto.com/api/v1/publisher/surveys/one/{surveyNumber}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["publisher-authentication-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"authorizationKey\": \"DqcInvhIFAl5WtUNwihFUIgUH77EL2hTNRU\"\n}"
response = http.request(request)
puts response.read_body{
"length_of_interview": "10",
"incidence_rate": "10",
"surveyNumber": 17633744316852264,
"loi": 10,
"ir": 10,
"survey_created_date": "2025-11-17T10:24:10.829Z",
"survey_last_updated_date": "2025-11-17T10:24:10.829Z",
"qualification": [
{
"question": "AGE",
"validOptions": [
{
"from": 18,
"to": 55
}
],
"displayOptions": [
"Male"
],
"quotas": {
"Male": 0,
"Female": 13
},
"questionType": "Single Punch",
"preCodes": [
"18"
]
}
],
"projectName": "New Campaign 007",
"projectNumber": 10000092,
"organisation": "Mirats Quanto"
}{
"message": "internal server error",
"code": 500,
"success": false
}Get Single Survey
Retrieve details of a specific survey by its survey number.
curl --request POST \
--url https://api.publisher.miratsquanto.com/api/v1/publisher/surveys/one/{surveyNumber} \
--header 'Content-Type: application/json' \
--header 'publisher-authentication-key: <api-key>' \
--data '
{
"authorizationKey": "DqcInvhIFAl5WtUNwihFUIgUH77EL2hTNRU"
}
'import requests
url = "https://api.publisher.miratsquanto.com/api/v1/publisher/surveys/one/{surveyNumber}"
payload = { "authorizationKey": "DqcInvhIFAl5WtUNwihFUIgUH77EL2hTNRU" }
headers = {
"publisher-authentication-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'publisher-authentication-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({authorizationKey: 'DqcInvhIFAl5WtUNwihFUIgUH77EL2hTNRU'})
};
fetch('https://api.publisher.miratsquanto.com/api/v1/publisher/surveys/one/{surveyNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.publisher.miratsquanto.com/api/v1/publisher/surveys/one/{surveyNumber}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'authorizationKey' => 'DqcInvhIFAl5WtUNwihFUIgUH77EL2hTNRU'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"publisher-authentication-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.publisher.miratsquanto.com/api/v1/publisher/surveys/one/{surveyNumber}"
payload := strings.NewReader("{\n \"authorizationKey\": \"DqcInvhIFAl5WtUNwihFUIgUH77EL2hTNRU\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("publisher-authentication-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.publisher.miratsquanto.com/api/v1/publisher/surveys/one/{surveyNumber}")
.header("publisher-authentication-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"authorizationKey\": \"DqcInvhIFAl5WtUNwihFUIgUH77EL2hTNRU\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.publisher.miratsquanto.com/api/v1/publisher/surveys/one/{surveyNumber}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["publisher-authentication-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"authorizationKey\": \"DqcInvhIFAl5WtUNwihFUIgUH77EL2hTNRU\"\n}"
response = http.request(request)
puts response.read_body{
"length_of_interview": "10",
"incidence_rate": "10",
"surveyNumber": 17633744316852264,
"loi": 10,
"ir": 10,
"survey_created_date": "2025-11-17T10:24:10.829Z",
"survey_last_updated_date": "2025-11-17T10:24:10.829Z",
"qualification": [
{
"question": "AGE",
"validOptions": [
{
"from": 18,
"to": 55
}
],
"displayOptions": [
"Male"
],
"quotas": {
"Male": 0,
"Female": 13
},
"questionType": "Single Punch",
"preCodes": [
"18"
]
}
],
"projectName": "New Campaign 007",
"projectNumber": 10000092,
"organisation": "Mirats Quanto"
}{
"message": "internal server error",
"code": 500,
"success": false
}Get Single Survey
Retrieve details of a specific survey by its survey number.Note: The fieldsloiandirare going to be deprecated soon. Please uselength_of_interviewandincidence_rateinstead.
Endpoint
POST /surveys/one/{surveyNumber}
Headers
{
"publisher-authentication-key": "your_project_secret_key"
}
Note: Thepublisher-authentication-keyheader corresponds to your Secret Key. TheauthorizationKeyin the request body corresponds to your Web API Key.
Request Body
{
"authorizationKey": "DqcInvhIFAl5WtUNwihFUIgUH77EL2hTNRU"
}
Response
{
"length_of_interview": "10",
"incidence_rate": "10",
"survey_created_date": "2025-11-17T10:24:10.829Z",
"survey_last_updated_date": "2025-11-17T10:24:10.829Z",
"surveyNumber": 17633744316852264,
"qualification": [
{
"question": "AGE",
"validOptions": [
{
"from": 18,
"to": 55
}
],
"displayOptions": [],
"quotas": {}
},
{
"question": "GENDER",
"validOptions": [
"Male",
"Female"
],
"displayOptions": [
"Male",
"Female"
],
"quotas": {
"Male": 0,
"Female": 13
}
},
{
"question": "STANDARD_HHI_US",
"validOptions": [
"$100,000 to $124,999",
"$125,000 to $149,999",
"$150,000 to $174,999",
"$175,000 to $199,999",
"$200,000 to $249,999",
"$250,000 and above"
],
"displayOptions": [
"Less than $5,000",
"$5,000 to $9,999",
"$10,000 to $14,999",
"$15,000 to $19,999",
"$20,000 to $24,999",
"$25,000 to $29,999",
"$30,000 to $34,999",
"$35,000 to $39,999",
"$40,000 to $44,999",
"$45,000 to $49,999",
"$50,000 to $54,999",
"$55,000 to $59,999",
"$60,000 to $64,999",
"$65,000 to $69,999",
"$70,000 to $74,999",
"$75,000 to $79,999",
"$80,000 to $84,999",
"$85,000 to $89,999",
"$90,000 to $94,999",
"$95,000 to $99,999",
"$100,000 to $124,999",
"$125,000 to $149,999",
"$150,000 to $174,999",
"$175,000 to $199,999",
"$200,000 to $249,999",
"$250,000 and above",
"Prefer not to answer"
],
"quotas": {}
}
],
"projectName": "New Campaign 007",
"projectNumber": 10000092,
"organisation": "Mirats Quanto"
}
Error Response
{
"message": "internal server error",
"code": 500,
"success": false
}
Authorizations
Send your Secret Key using the publisher-authentication-key header. This header is required for every request.
Path Parameters
17633744316852264
Body
Payload for endpoints that only require the Web API Key in the request body.
Web API Key obtained from the Mirats Publisher Platform.
"DqcInvhIFAl5WtUNwihFUIgUH77EL2hTNRU"
Response
Successful response with survey details
Length of interview in minutes
"10"
Incidence rate as a percentage
"10"
17633744316852264
Deprecating Soon: Use 'length_of_interview' instead. This field will be removed in a future version.
10
Deprecating Soon: Use 'incidence_rate' instead. This field will be removed in a future version.
10
"2025-11-17T10:24:10.829Z"
"2025-11-17T10:24:10.829Z"
Show child attributes
Show child attributes
"New Campaign 007"
10000092
"Mirats Quanto"

